> ## Documentation Index
> Fetch the complete documentation index at: https://developer.sandbox.co.in/llms.txt
> Use this file to discover all available pages before exploring further.

# Search Company

> Search MCA company master data using either exact `cin` or partial `company_name`. The `cin` field can contain either a Corporate Identification Number (CIN) or a Limited Liability Partnership Identification Number (LLPIN). Supports optional `limit` and `offset` pagination.

<Card title="Run in Postman" icon="https://mintcdn.com/sandboxfinancialtechnologiesprivatelimited/gviqebbpT5NUt_6i/static/svg/Postman.svg?fit=max&auto=format&n=gviqebbpT5NUt_6i&q=85&s=da47f2b7e10d87befec951aed9468de3" horizontal arrow="true" href="https://www.postman.com/in-co-sandbox/sandbox-api/request/lwf07b4/search-company" width="2030" height="2031" data-path="static/svg/Postman.svg" />


## OpenAPI

````yaml api-reference/kyc/openapi.json GET /kyc/mca/company/master-data/search
openapi: 3.1.0
info:
  title: in-co-sandbox-kyc
  description: ''
  version: 1.0.0
servers:
  - url: https://test-api.sandbox.co.in
    description: test
  - url: https://api.sandbox.co.in
    description: prod
security: []
tags:
  - name: kyc
  - name: digilocker-sdk
  - name: digilocker
  - name: aadhaar
  - name: bank
  - name: pan
  - name: mca
  - name: entitylocker
  - name: entitylocker-sdk
paths:
  /kyc/mca/company/master-data/search:
    get:
      tags:
        - kyc
        - mca
      summary: Search Company
      description: >-
        Fetch companies's details using CIN or LLPIN through `cin`, or search by
        company name
      operationId: getSearchCompanyMasterData
      parameters:
        - name: cin
          in: query
          description: >-
            Corporate Identification Number (CIN) or Limited Liability
            Partnership Identification Number (LLPIN).
          required: false
          example: U47219GJ2023PTC143977
          schema:
            type: string
        - name: company_name
          in: query
          description: ''
          required: false
          example: mac
          schema:
            type: string
        - name: Authorization
          in: header
          description: >-
            JWT access token. For token-generation steps, refer to the
            [Quickstart
            Guide](https://developer.sandbox.co.in/guides/get-started/quickstart).
          required: true
          example: '{{access_token}}'
          schema:
            type: string
        - name: x-api-key
          in: header
          description: API key used to identify and authenticate the client.
          required: true
          example: '{{api_key}}'
          schema:
            type: string
        - name: x-api-version
          in: header
          description: Specifies the API version for the request.
          required: false
          example: 1.0.0
          schema:
            type: string
        - name: Content-Type
          in: header
          description: Media type of the request body.
          required: false
          example: application/json
          schema:
            type: string
            enum:
              - application/json
        - name: x-accept-cache
          in: header
          description: >-
            Optional cache-control header. For cache behavior details, refer to
            [Response
            Caching](https://developer.sandbox.co.in/docs/response-caching#x-accept-cache-header).
          required: false
          example: 'true'
          schema:
            type: boolean
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: integer
                    description: HTTP-like status code for the API response
                  timestamp:
                    type: integer
                    description: Response timestamp in epoch milliseconds
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        '@entity':
                          type: string
                          const: in.co.sandbox.kyc.mca.company_master_data
                          description: Type discriminator for MCA company master data
                        cin:
                          type: string
                          description: Corporate Identification Number of the company
                          pattern: ^[LU]\d{5}[A-Z]{2}\d{4}[A-Z]{3}\d{6}$
                          minLength: 21
                          maxLength: 21
                        company_name:
                          type: string
                      required:
                        - '@entity'
                        - cin
                      additionalProperties: false
                  transaction_id:
                    type: string
                    description: Unique transaction identifier for the API request
                required:
                  - code
                  - timestamp
                  - data
                  - transaction_id
                additionalProperties: false
              examples:
                Success (cin):
                  summary: Success (cin)
                  value:
                    code: 200
                    timestamp: 1783319160519
                    data:
                      '@entity': >-
                        in.co.sandbox.kyc.mca.company_master_data_search_response
                      records:
                        - '@entity': >-
                            in.co.sandbox.kyc.mca.company_master_data_search_result
                          cin: U72900GJ2015PTC082637
                          company_name: QUICKO INFOSOFT PRIVATE LIMITED
                      limit: 5
                      offset: 0
                      count: 1
                      has_more: false
                    transaction_id: 5979f864-959f-4cf3-9c24-ecc9f2bd6431
                Success (company_name_prefix):
                  summary: Success (company_name_prefix)
                  value:
                    code: 200
                    timestamp: 1783320692092
                    data:
                      '@entity': >-
                        in.co.sandbox.kyc.mca.company_master_data_search_response
                      records:
                        - '@entity': >-
                            in.co.sandbox.kyc.mca.company_master_data_search_result
                          cin: U36912DL2013PTC248756
                          company_name: MAC 9 JEWELS & BULLIONS PRIVATE LIMITED
                        - '@entity': >-
                            in.co.sandbox.kyc.mca.company_master_data_search_result
                          cin: U36100DL2012PTC238252
                          company_name: MAC 9 WOOD TAILORS INDIA PRIVATE LIMITED
                        - '@entity': >-
                            in.co.sandbox.kyc.mca.company_master_data_search_result
                          cin: ACG-1117
                          company_name: MAC ACOUSTIC & INTERIOR PRODUCTS LLP
                        - '@entity': >-
                            in.co.sandbox.kyc.mca.company_master_data_search_result
                          cin: AAJ-9269
                          company_name: MAC ADMARKETING LLP
                        - '@entity': >-
                            in.co.sandbox.kyc.mca.company_master_data_search_result
                          cin: AAJ-9420
                          company_name: MAC ADMARKETING SOLUTIONS LLP
                      limit: 5
                      offset: 0
                      count: 5
                      has_more: true
                    transaction_id: d30d7e23-6e2b-4969-b6a6-6f98dbe6d8f2
          headers: {}
        '400':
          description: ''
          content:
            application/json:
              schema:
                title: ''
                type: object
                properties:
                  code:
                    type: integer
                  timestamp:
                    type: integer
                  message:
                    type: string
                  transaction_id:
                    type: string
                required:
                  - code
                  - timestamp
                  - message
                  - transaction_id
              examples:
                CIN & company_name both in params:
                  summary: CIN & company_name both in params
                  value:
                    code: 400
                    timestamp: 1783330459899
                    message: pass only one of cin or company_name
                    transaction_id: b924650c-c144-4830-b8b8-553ae91e06e7
                Validation(company_name):
                  summary: Validation(company_name)
                  value:
                    code: 400
                    timestamp: 1783330663497
                    message: company_name must be at least 3 characters long
                    transaction_id: 5186a98d-ac23-49e1-92aa-c08b1bd0b39d
                Validation(CIN):
                  summary: Validation(CIN)
                  value:
                    code: 400
                    timestamp: 1783331352587
                    message: cin must be a valid MCA CIN
                    transaction_id: e3a67f96-aad0-4595-b960-0a02cf2902e1
          headers: {}
        '521':
          description: ''
          content:
            application/json:
              schema:
                title: ''
                type: object
                properties:
                  code:
                    type: integer
                  timestamp:
                    type: integer
                  message:
                    type: string
                  transaction_id:
                    type: string
                required:
                  - code
                  - timestamp
                  - message
                  - transaction_id
              examples:
                Data not found(CIN):
                  summary: Data not found(CIN)
                  value:
                    code: 521
                    timestamp: 1783330331399
                    message: 'Company master data not found: U34300GJ2017PLC097818'
                    transaction_id: f449ae15-1ec4-48b3-ac9f-3c4fc5d41ae8
                Data not found(company_name):
                  summary: Data not found(company_name)
                  value:
                    code: 521
                    timestamp: 1783330331399
                    message: 'Company master data not found: sadsssa$%'
                    transaction_id: f449ae15-1ec4-48b3-ac9f-3c4fc5d41ae8
          headers: {}
      deprecated: false
      security: []

````